SAEspot SAE版开源了

By saespot at 2012-10-13 19:09:55

需要SAE python环境,
本程序全用SAE kvdb存储数据,最大数据空间100G,
头像、用户上传图片可存储在SAE Storage,最大空间支持2G,
如果用又拍云存储则最大空间不限。

下载列表 http://code.google.com/p/saespot/downloads/list
直接下载地址 http://saespot.googlecode.com/files/myskoda.zip

16 回复 | 直到 2012-10-26 14:02:30
akaayy at 2012-10-14 11:04:06
1

能不能放在自己的服务器上?

saespot at 2012-10-14 11:18:19
2

@akaayy 为云而生,不能放到自己的服务器上。

chiangtao at 2012-10-14 14:29:27
3

SAE的python还要申请,等等看看能不能下来

chiangtao at 2012-10-14 14:41:15
4

挺快的,申请就下来了

saespot at 2012-10-14 14:42:18
5

@chiangtao 今天是周日,碰到他们加班了。

chiangtao at 2012-10-14 14:42:34
6

麻烦问一下,那个开发者认证,好通过么?貌似如果没有开发者认证,会产生不少费用呢。

saespot at 2012-10-14 14:56:48
7

@chiangtao 自己要有一个或参与开源项目(不一定在SAE上)可直接申请。听说现在门槛较低,容易申请到。

yibin at 2012-10-14 15:13:59
8

请问基于sae的spot上的又拍云上传好用么?
为什么我这边运行一直出错?出错在:
try:
connection.set_debuglevel(1)
connection.request(method, path , data, final_headers)

resp = connection.getresponse() #这里出错。。。。
if self.debug : #and resp.status != 200 and method != "HEAD" :
raise UpYunException(u'ERROR: Code:%d,Message:%s'%(resp.status))
return resp
except:
pass

saespot at 2012-10-14 17:14:31
9

@yibin 是在本地运行吗?

yibin at 2012-10-14 17:26:12
10

@saespot
用的不是saepot的代码,参考了上传的这一部份,我也用了又拍云的服务。
就是卡在上传这里了,还没有getresponse()就出错了。

yibin at 2012-10-14 18:08:07
11

@saespot


错误定位到的是u.writeFile

saespot at 2012-10-14 18:30:39
12

@yibin 看要保存的数据是不是图像数据,试一下直接把data输出到浏览器看是不是图片。

yibin at 2012-10-14 19:06:52
13

@saespot
嗯,谢谢提醒,但应该不是这个问题,因为Image.open能正常执行
o_filename = o_filename + os.path.splitext(os.path.basename(file.filename))[1]
im = Image.open(StringIO(file.stream.read()))
output = StringIO()
im.convert('RGB').save(output, im.format, quality = 95)#95
data = output.getvalue()
output.close()

这里的im是有值的,而且im.size都OK,不知道问题出在哪。

ps.saespot有点v2ex的意思~~

yibin at 2012-10-14 19:57:35
14

@saespot
OK了,是我大意了,从Bae迁移到sae时,有个小地方没fix。。

chiangtao at 2012-10-17 11:49:05
15

@yibin 按照配置说明就好了

wucong at 2012-10-26 14:02:30
16

唉,不知道这个程序什么时候会再开源 ,现在已经因为一个spammer而关闭了